%define build_mysql 1
%{?_with_mysql: %global build_mysql 1}
%define build_freetds 0
%{?_with_freetds: %global build_freetds 1}
%define build_mdb 0
%{?_with_mdb: %global build_mdb 1}

#gw check fails in the BS in 4.1.3
%define enable_test 1
%{?_with_mdb: %global enable_test 1}


%define api		4.0
%define	major 		4
%define pkgname 	libgda
%define oname 		gda

%define libname		%mklibname %{oname} %{api} %major 
%define develname	%mklibname -d %{oname} %{api}

Summary:	GNU Data Access
Name: 		%{pkgname}%{api}
Version:	4.2.13
Release:	1
License: 	GPLv2+ and LGPLv2+
Group: 		Databases
URL: 		http://www.gnome-db.org/
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{pkgname}-%{version}.tar.xz
Patch0:		libgda-4.2.12-fix-linking.patch

BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gtk-doc
BuildRequires:	intltool
BuildRequires:	iso-codes
BuildRequires:	db-devel
BuildRequires:	gdbm-devel
BuildRequires:	ncurses-devel
BuildRequires:	openldap2-devel
BuildRequires:	postgresql-devel
BuildRequires:	readline-devel
BuildRequires:	unixODBC-devel
BuildRequires:	xbase-devel
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gnome-doc-utils)
BuildRequires:	pkgconfig(gnome-vfs-2.0)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	pkgconfig(popt)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(unique-1.0)
%ifnarch %arm %mips
BuildRequires:	java-1.6.0-devel
%endif
%if %{build_mysql}
BuildRequires:	mysql-devel
%endif
%if %{build_freetds}
BuildRequires:	freetds-devel
%endif
%if %{enable_test}
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(check)
%endif

Requires:	iso-codes

%description
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

Drivers for the supported databases are included in the libgda4.0-* packages.

%package -n	%{libname}
Summary:	GNU Data Access Development
Group: 		System/Libraries

%description -n	%{libname}
This package contains the shared library for %{name}.

%package -n	%{develname}
Summary:	GNU Data Access Development
Group: 		Development/Databases
Requires:	%{libname} = %{version}
Provides:	gda4.0-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
%define _requires_exceptions ^devel.libgda-

%description -n	%{develname}
This package contains the development files for %{name}.

%package	postgres
Summary:	GDA PostgreSQL Provider
Group:		Databases
Requires:	%{name} = %{version}

%description	postgres
This package includes the GDA PostgreSQL provider

%package	mysql
Summary:	GDA MySQL Provider
Group:		Databases
Requires:	%{name} = %{version}

%description	mysql
This package includes the GDA MySQL provider

%package	bdb
Summary:	GDA Berkeley Database Provider
Group:		Databases
Requires:	%{name} = %{version}

%description	bdb
This package includes the GDA Berkeley Database provider.

%if %{build_freetds}
%package	freetds
Summary:	GDA FreeTDS Provider
Group:		Databases
Requires:	%{name} = %{version}

%description	freetds
This package includes the GDA FreeTDS provider.
%endif

%if %{build_mdb}
BuildRequires:	libmdbtools-devel
%package	mdb
Summary:	GDA MDB Provider
Group:		Databases
Requires:	%{name} = %{version}

%description	mdb
This package includes the GDA MDB provider, which can access
Microsoft Access databases.
%endif

%package	sqlite
Summary:	GDA sqlite Provider
Group:		Databases
Requires:	%{name} = %{version}
Obsoletes:      gda3.0-sqlite

%description	sqlite
This package includes the GDA sqlite provider

%ifnarch %arm %mips
%package        jdbc
Summary:	GDA Java Database Provider
Group:		Databases
Requires:	%{name} = %{version}

%description	jdbc
This package includes the GDA Java Database provider.
%endif

%package	ldap
Summary:	GDA LDAP Provider
Group:		Databases
Requires:	%{name} = %{version}

%description	ldap
This package includes the GDA LDAP provider

%prep
%setup -qn %{pkgname}-%{version}
%apply_patches

%build
#gw patch0:
autoreconf -fi
%configure2_5x \
	--disable-static \
%if %build_mysql
	--with-mysql=yes \
%endif
%if !%{build_freetds}
	--with-tds=no \
%endif
%if !%{build_mdb}
	--with-mdb=no \
%endif
	--without-firebird \
	--with-bdb=%_prefix \
	--with-bdb-libdir-name=%_lib

%make

%install
%makeinstall_std

# remove unneeded files
rm -f %{buildroot}%{_libdir}/libgda-%{api}/*/*.la

%find_lang %{pkgname}-%{api} --with-gnome

%if %{enable_test}
%check
make check
%endif

%files -f %{pkgname}-%{api}.lang
%doc AUTHORS COPYING README
%dir %{_sysconfdir}/libgda-%{api}
%config(noreplace) %_sysconfdir/libgda-%{api}/sales_test.db
%config(noreplace) %{_sysconfdir}/libgda-%{api}/config
%{_bindir}/*
%{_datadir}/applications/gda-browser-%{api}.desktop
%{_datadir}/applications/gda-control-center-%{api}.desktop
%{_datadir}/pixmaps/gda*
%{_datadir}/icons/hicolor/*/apps/gda-control-center.*
%{_datadir}/libgda-%{api}
%dir %{_libdir}/libgda-%{api}
%dir %{_libdir}/libgda-%{api}/plugins
%dir %{_libdir}/libgda-%{api}/providers
%{_libdir}/libgda-%{api}/plugins/*.xml
%{_libdir}/libgda-%{api}/plugins/libgda-ui-plugins.so
%{_libdir}/libgda-%{api}/providers/libgda-web.so
%{_libdir}/libgda-%{api}/providers/libgda-sqlcipher.so
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/libgda-%{api}.so.%{major}*
%{_libdir}/libgda-report-%{api}.so.%{major}*
%{_libdir}/libgda-ui-%{api}.so.%{major}*
%{_libdir}/libgda-xslt-%{api}.so.%{major}*
%{_libdir}/girepository-1.0/Gda-%{api}.typelib
%{_libdir}/girepository-1.0/Gdaui-%{api}.typelib

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/libgda-%{api}/
%doc %{_datadir}/gtk-doc/html/gda-browser
%{_libdir}/libgda-%{api}.so
%{_libdir}/libgda-report-%{api}.so
%{_libdir}/libgda-ui-%{api}.so
%{_libdir}/libgda-xslt-%{api}.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/gir-1.0/Gda-%{api}.gir
%{_datadir}/gir-1.0/Gdaui-%{api}.gir
%{_datadir}/gnome/help/gda-browser

%files sqlite
%{_libdir}/libgda-%{api}/providers/libgda-sqlite.so

%files postgres
%{_libdir}/libgda-%{api}/providers/libgda-postgres.so

%files bdb
%{_libdir}/libgda-%{api}/providers/libgda-bdb.so

%if %{build_mysql}
%files mysql
%{_libdir}/libgda-%{api}/providers/libgda-mysql.so
%endif

%if %{build_freetds}
%files freetds
%{_libdir}/libgda-%{api}/providers/libgda-freetds.so
%endif

%if %{build_mdb}
%files mdb
%{_libdir}/libgda-%{api}/providers/libgda-mdb.so
%endif

%ifnarch %arm %mips
%files jdbc
%{_libdir}/libgda-%{api}/providers/libgda-jdbc.so
%{_libdir}/libgda-%{api}/providers/gdaprovider-4.0.jar
%endif

%files ldap
%{_libdir}/libgda-%{api}/providers/libgda-ldap.so



%changelog
* Wed May 16 2012 Matthew Dawkins <mattydaw@mandriva.org> 4.2.13-1
+ Revision: 799159
- new version 4.2.13
- cleaned up spec
- unified macros
- removed duplicate description for every sub pkg

* Tue Jan 03 2012 Götz Waschk <waschk@mandriva.org> 4.2.12-1
+ Revision: 748901
- update patch
- remove libtool archive
- new version

* Mon Nov 28 2011 Matthew Dawkins <mattydaw@mandriva.org> 4.2.11-2
+ Revision: 735111
- rebuild, disabled static build, quick spec clean

* Sun Nov 06 2011 Götz Waschk <waschk@mandriva.org> 4.2.11-1
+ Revision: 723008
- new version

* Thu Oct 27 2011 Götz Waschk <waschk@mandriva.org> 4.2.10-1
+ Revision: 707514
- fix linking of the test program
- new version
- drop patch

* Thu Sep 22 2011 Götz Waschk <waschk@mandriva.org> 4.2.9-2
+ Revision: 700854
- rebuild

* Fri Sep 02 2011 Götz Waschk <waschk@mandriva.org> 4.2.9-1
+ Revision: 697906
- new version

* Thu Jun 02 2011 Götz Waschk <waschk@mandriva.org> 4.2.8-1
+ Revision: 682408
- new version
- add ldap provider
- xz tarball

* Thu May 05 2011 Götz Waschk <waschk@mandriva.org> 4.2.7-1
+ Revision: 669365
- update to new version 4.2.7

* Wed Apr 20 2011 Götz Waschk <waschk@mandriva.org> 4.2.6-1
+ Revision: 656327
- new version
- build with db 5.1

* Thu Mar 17 2011 Oden Eriksson <oeriksson@mandriva.com> 4.2.5-2
+ Revision: 645749
- relink against libmysqlclient.so.18

  + Götz Waschk <waschk@mandriva.org>
    - fix description

* Thu Feb 24 2011 Götz Waschk <waschk@mandriva.org> 4.2.5-1
+ Revision: 639579
- update to new version 4.2.5

* Wed Feb 16 2011 Götz Waschk <waschk@mandriva.org> 4.2.4-1
+ Revision: 638073
- update to new version 4.2.4
- new version
- drop patch 1

* Sat Jan 01 2011 Oden Eriksson <oeriksson@mandriva.com> 4.2.2-3mdv2011.0
+ Revision: 626999
- rebuilt against mysql-5.5.8 libs, again

* Mon Dec 27 2010 Oden Eriksson <oeriksson@mandriva.com> 4.2.2-2mdv2011.0
+ Revision: 625420
- rebuilt against mysql-5.5.8 libs

* Sat Nov 27 2010 Götz Waschk <waschk@mandriva.org> 4.2.2-1mdv2011.0
+ Revision: 601821
- update to new version 4.2.2

* Mon Nov 15 2010 Götz Waschk <waschk@mandriva.org> 4.2.1-1mdv2011.0
+ Revision: 597867
- update xbase build dep
- new version
- rediff patch 0
- drop patch 2

* Mon Sep 27 2010 Götz Waschk <waschk@mandriva.org> 4.2.0-1mdv2011.0
+ Revision: 581475
- new version
- fix build

* Mon Sep 20 2010 Götz Waschk <waschk@mandriva.org> 4.1.11-1mdv2011.0
+ Revision: 579925
- new version
- add sqlcipher provider

* Wed Sep 01 2010 Götz Waschk <waschk@mandriva.org> 4.1.8-1mdv2011.0
+ Revision: 575174
- update to new version 4.1.8

* Sat Jul 31 2010 Funda Wang <fwang@mandriva.org> 4.1.7-2mdv2011.0
+ Revision: 563852
- rebuild for new gobject-introspection

* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 4.1.7-1mdv2011.0
+ Revision: 550745
- update build deps
- new version
- drop patch 2
- build with introspection support

* Wed Feb 17 2010 Oden Eriksson <oeriksson@mandriva.com> 4.1.4-3mdv2010.1
+ Revision: 507031
- rebuild

* Wed Jan 20 2010 Götz Waschk <waschk@mandriva.org> 4.1.4-2mdv2010.1
+ Revision: 493983
- add missing libgda.h

* Sat Jan 16 2010 Götz Waschk <waschk@mandriva.org> 4.1.4-1mdv2010.1
+ Revision: 492494
- reenable checks
- new version
- update file list
- enable introspection
- rediff the patches
- disable tests for now, they fail in the build system
- update build deps
- update patch 0
- add build dep on json-glib for tests
- enable tests

* Sat Jan 02 2010 Götz Waschk <waschk@mandriva.org> 4.1.3-3mdv2010.1
+ Revision: 485009
- fix deps

* Wed Dec 16 2009 Götz Waschk <waschk@mandriva.org> 4.1.3-2mdv2010.1
+ Revision: 479361
- install header needed by gnumeric

* Mon Nov 30 2009 Götz Waschk <waschk@mandriva.org> 4.1.3-1mdv2010.1
+ Revision: 471695
- new version
- update patch
- update file list

* Mon Oct 12 2009 Götz Waschk <waschk@mandriva.org> 4.0.5-1mdv2010.0
+ Revision: 456743
- update to new version 4.0.5

* Thu Oct 01 2009 Götz Waschk <waschk@mandriva.org> 4.0.4-3mdv2010.0
+ Revision: 452099
- remove bogus provides from library package

* Sun Sep 27 2009 Olivier Blin <blino@mandriva.org> 4.0.4-2mdv2010.0
+ Revision: 449860
- disable java on mips & arm (from Arnaud Patard)

* Sun Aug 30 2009 Götz Waschk <waschk@mandriva.org> 4.0.4-1mdv2010.0
+ Revision: 422718
- update to new version 4.0.4

* Mon Aug 24 2009 Götz Waschk <waschk@mandriva.org> 4.0.3-1mdv2010.0
+ Revision: 420556
- new version
- update patch 0

* Sun May 03 2009 Götz Waschk <waschk@mandriva.org> 4.0.2-1mdv2010.0
+ Revision: 371274
- update to new version 4.0.2

* Mon Mar 16 2009 Götz Waschk <waschk@mandriva.org> 4.0.0-1mdv2009.1
+ Revision: 356170
- update to new version 4.0.0

* Sun Mar 15 2009 Götz Waschk <waschk@mandriva.org> 3.99.14-1mdv2009.1
+ Revision: 355469
- update to new version 3.99.14

* Tue Mar 10 2009 Götz Waschk <waschk@mandriva.org> 3.99.13-1mdv2009.1
+ Revision: 353384
- fix build deps
- new version
- fix format string

* Sat Feb 28 2009 Götz Waschk <waschk@mandriva.org> 3.99.12-1mdv2009.1
+ Revision: 346046
- update to new version 3.99.12

* Wed Feb 25 2009 Götz Waschk <waschk@mandriva.org> 3.99.11-2mdv2009.1
+ Revision: 344878
- rebuild for new libreadline

* Fri Feb 13 2009 Götz Waschk <waschk@mandriva.org> 3.99.11-1mdv2009.1
+ Revision: 340148
- update to new version 3.99.11
- drop patch
- don't call the autotools

* Mon Feb 02 2009 Götz Waschk <waschk@mandriva.org> 3.99.10-1mdv2009.1
+ Revision: 336660
- update to new version 3.99.10

* Tue Jan 20 2009 Götz Waschk <waschk@mandriva.org> 3.99.9-1mdv2009.1
+ Revision: 331529
- new version
- fix build
- update build deps
- add jdbc provider

* Mon Jan 12 2009 Götz Waschk <waschk@mandriva.org> 3.99.8-1mdv2009.1
+ Revision: 328747
- new version
- update file list

* Wed Dec 31 2008 Götz Waschk <waschk@mandriva.org> 3.99.7-1mdv2009.1
+ Revision: 321669
- update to new version 3.99.7

  + Oden Eriksson <oeriksson@mandriva.com>
    - use lowercase mysql-devel

* Sat Dec 06 2008 Oden Eriksson <oeriksson@mandriva.com> 3.99.6-2mdv2009.1
+ Revision: 311304
- rebuilt against mysql-5.1.30 libs

* Wed Nov 26 2008 Götz Waschk <waschk@mandriva.org> 3.99.6-1mdv2009.1
+ Revision: 306954
- new version
- new api
- clean up spec file
- import 3.x branch

* Tue Aug 12 2008 Götz Waschk <waschk@mandriva.org> 3.1.5-3mdv2009.0
+ Revision: 271114
- split library package in a sane way
- update build deps

* Wed Aug 06 2008 Götz Waschk <waschk@mandriva.org> 3.1.5-2mdv2009.0
+ Revision: 264228
- add conflict with old library package

* Wed Aug 06 2008 Götz Waschk <waschk@mandriva.org> 3.1.5-1mdv2009.0
+ Revision: 264182
- new version
- new major
- drop patch
- fix build
- update license

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 3.1.2-3mdv2009.0
+ Revision: 222542
- fix build when %%build_freetds is not set (missing %%files for subpackage)
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Sat Dec 22 2007 Götz Waschk <waschk@mandriva.org> 3.1.2-2mdv2008.1
+ Revision: 136827
- rebuild for libdb 4.6

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - do not package big ChangeLog

* Thu Oct 25 2007 Götz Waschk <waschk@mandriva.org> 3.1.2-1mdv2008.1
+ Revision: 102208
- new version
- update file list

* Sun Sep 02 2007 Götz Waschk <waschk@mandriva.org> 3.1.1-2mdv2008.0
+ Revision: 78284
- move sqlite provider to the lib package
- move libs to the library package
- filter out wrong deps from the devel package

* Sun Sep 02 2007 Götz Waschk <waschk@mandriva.org> 3.1.1-1mdv2008.0
+ Revision: 78213
- new version
- new devel name

* Thu May 10 2007 Götz Waschk <waschk@mandriva.org> 3.0.1-1mdv2008.0
+ Revision: 25874
- new version

* Tue Apr 24 2007 Götz Waschk <waschk@mandriva.org> 3.0.0-1mdv2008.0
+ Revision: 17749
- new version
- patch to add missing man pages

* Wed Apr 18 2007 Götz Waschk <waschk@mandriva.org> 2.99.6-1mdv2008.0
+ Revision: 14425
- disable the checks again, they fail in the iurt chroot
- new version
- drop sharp bindings
- drop patches
- enable checks

